Package uk.ac.starlink.topcat.doc

## Class ButtonIcon

- java.lang.Object
- - uk.ac.starlink.topcat.doc.ButtonIcon

-     public class ButtonIcon
      extends java.lang.Object

  Generates some icons for the TOPCAT desktop. Currently not used at TOPCAT run or build time.
  Since:
    28 Aug 2007
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ButtonIcon()` | Constructs a ButtonIcon of standard size.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.awt.Graphics2D` | `createGraphics()` | Returns a graphics context for drawing on this image.
    `static ButtonIcon` | `createRadial()` | Icon for radial coordinate display.
    `static void` | `main​(java.lang.String[] args)` | Main method.
    `void` | `writePng​(java.lang.String fname)` | Writes the image as currently painted to a PNG file with a given name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ButtonIcon

          public ButtonIcon()

      Constructs a ButtonIcon of standard size.

  - ### Method Detail

    - #### createGraphics

          public java.awt.Graphics2D createGraphics()

      Returns a graphics context for drawing on this image.
      Returns:
        new graphics context suitable for drawing

    - #### writePng

          public void writePng​(java.lang.String fname)
                        throws java.io.IOException

      Writes the image as currently painted to a PNG file with a given name.
      Parameters:
        `fname` - filename
      Throws:
        `java.io.IOException`

    - #### createRadial

          public static ButtonIcon createRadial()

      Icon for radial coordinate display.
      Returns:
        radial button icon

    - #### main

          public static void main​(java.lang.String[] args)
                           throws java.io.IOException

      Main method. Writes images to the current directory.
      Parameters:
        `args` - ignored
      Throws:
        `java.io.IOException`

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.